Page Rules

PageRules

Methods

list(, ):
get/zones/{zone_id}/pagerules

Fetches Page Rules in a zone.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Zone Read Zone Write Page Rules Write Page Rules Read

Parameters
zone_id: string
(maxLength: 32)

Path param: Identifier.

direction?: "asc" | "desc"

Query param: The direction used to sort returned Page Rules.

match?: "any" | "all"

Query param: When set to all, all the search requirements must match. When set to any, only one of the search requirements has to match.

order?: "status" | "priority"

Query param: The field used to sort returned Page Rules.

status?: "active" | "disabled"

Query param: The status of the Page Rule.

Returns
PageRuleListResponse = Array<>
id: string
(maxLength: 32)

Identifier.

actions: Array< | | | 31 more...>

The set of actions to perform if the targets of this rule match the request. Actions can redirect to another URL or override settings, but not both.

created_on: string
(format: date-time)

The timestamp of when the Page Rule was created.

modified_on: string
(format: date-time)

The timestamp of when the Page Rule was last modified.

priority: number
(default: 1)

The priority of the rule, used to define which Page Rule is processed over another. A higher number indicates a higher priority. For example, if you have a catch-all Page Rule (rule A: /images/*) but want a more specific Page Rule to take precedence (rule B: /images/special/*), specify a higher priority for rule B so it overrides rule A.

status: "active" | "disabled"
(default: "disabled")

The status of the Page Rule.

targets: Array<>

The rule targets to evaluate on each request.

Request example
200Example
get(, , ):
get/zones/{zone_id}/pagerules/{pagerule_id}

Fetches the details of a Page Rule.

create(, ):
post/zones/{zone_id}/pagerules

Creates a new Page Rule.

update(, , ):
put/zones/{zone_id}/pagerules/{pagerule_id}

Replaces the configuration of an existing Page Rule. The configuration of the updated Page Rule will exactly match the data passed in the API request.

edit(, , ):
patch/zones/{zone_id}/pagerules/{pagerule_id}

Updates one or more fields of an existing Page Rule.

delete(, , ): | null
delete/zones/{zone_id}/pagerules/{pagerule_id}

Deletes an existing Page Rule.

Domain types

PageRule{…}
Target{…}

URL target.